Az igazi pénzlehúzás: 7500 Ft-os ($25) “számítógépgyorsító” pendrive (Xtra-PC)

Pár napja futottam bele először ebbe a “forradalmi” megoldásba, ami azt ígéri, hogy ismét használhatóvá teszi a régi számítógépeket, mindezt $25-ért vagy 7500 Ft-ért. Mielőtt szaladnál megrendelni, én azért leírnám neked, hogy hogyan tudsz hasonlót csinálni ingyen, ha van otthon egy megfelelő méretű (2-4 GB-nál nagyobb) pendrive-od.

Tovább Az igazi pénzlehúzás: 7500 Ft-os ($25) “számítógépgyorsító” pendrive (Xtra-PC)

Bootolható Windows telepítő ISO készítése Linux-on

Adott volt egy Windows 10 telepítő pendrive, amit telepíteni szerettem volna egy Virtualbox-os gépre. Mivel Virtualbox-ban nem tudok USB-ről bootolni, így csinálni akartam belőle egy ISO-t, majd arról bootolni, de ez valamiért nem akart működni. Hamar rátaláltam az mkisofs megoldásra, viszont akárhogy próbálgattam a kapcsolókat, sehogy sem akart nálam működni az elkészült ISO. Aztán jött az az ötletem, hogy megpróbálom ezt a módszert a Microsoft oldaláról letöltött ISO-val, amivel meg működött, így egyértelmű volt, hogy a pendrive-on lévő telepítő szívat. Valószínűleg valamelyik bootolással kapcsolatos fájllal lehetett valami, így az eredeti telepítőből felülírtam a pendrive-on lévő néhány boot fájlt, majd taps, és települt is a Windows…

Viszont, ha van egy működő telepítőlemezed, amiből bootolható Windows telepítő ISO-t szeretnél készíteni Linux-on (elvileg Windows-ra is van mkisofs), akkor tedd a következőket:

1, A telepítő összes fájlját másold fel egy könyvtárba, a példában ez a /tmp/iso/ könyvtár lesz
2, Lépj be a /tmp/iso/ könyvtárba, majd add ki a következő parancsot (Ubuntu és Fedora esetében a genisoimage csomag tartalmazza az mkisofs-t, így lehet, hogy azt még telepítened kell.):

mkisofs -iso-level 4 -b boot/etfsboot.com -no-emul-boot \
-boot-load-size 8 -o /tmp/faszawin.iso /tmp/iso/

-b boot/efsboot.com – A Windows telepítőn lévő bootsectorfile, ez teszi bootolhatóvá az ISO-t.
-o /tmp/faszawin.iso – Az új ISO neve.
/tmp/iso/ – Telepítőfájlok helye.

Ha nem indul…

…Ubuntun a Software, mármint elindul, csak pár másodperc múlva ki is lép, illetve ha megpróbálod elindítani terminálból a gnome-software paranncsal, akkor ilyesmiket ír:

** (gnome-software:5834): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-8NMCmvCCsq: Connection refused

(gnome-software:5834): Gs-WARNING **: Failed to create permission org.freedesktop.packagekit.trigger-offline-update: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: Action org.freedesktop.packagekit.trigger-offline-update is not registered

(gnome-software:5834): Gs-WARNING **: Failed to create permission org.freedesktop.packagekit.trigger-offline-update: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: Action org.freedesktop.packagekit.trigger-offline-update is not registered

(gnome-software:5834): Gs-WARNING **: Failed to create permission org.freedesktop.packagekit.trigger-offline-update: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: Action org.freedesktop.packagekit.trigger-offline-update is not registered

(gnome-software:5834): Gs-WARNING **: Failed to create permission org.freedesktop.packagekit.trigger-offline-update: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: Action org.freedesktop.packagekit.trigger-offline-update is not registered

(gnome-software:5834): Gs-WARNING **: Failed to create permission org.freedesktop.packagekit.trigger-offline-update: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: Action org.freedesktop.packagekit.trigger-offline-update is not registered

(gnome-software:5834): GLib-CRITICAL **: g_dir_read_name: assertion 'dir != NULL' failed

(gnome-software:5834): Gtk-WARNING **: Error loading image 'file:///usr/share/gnome-software/featured-weather.png': Error opening file: Too many open files

(gnome-software:5834): Gtk-WARNING **: Error loading image 'file:///usr/share/gnome-software/featured-weather-bg.png': Error opening file: Too many open files

(gnome-software:5834): GLib-ERROR **: Creating pipes for GWakeup: Too many open files

Trace/breakpoint trap (core dumped)

akkor segíthet, ha futtatod a következő parancsot:

sudo apt-get install ubuntu-software -f

(A -f (–fix-broken) kapcsoló hatására megpróbálja javítani a sérült függőségeket.)

USB-s eszközök használata Linux-on futó VirtualBox-on

Ha egy Linuxos VirtualBox-ban futó virtuális gépen használni szeretnél egy USB-s eszközt, például egy pendrive-ot, akkor azt tapasztalhatod, hogy a virtuális gép USB beállításainál, a filtereknél nem jelenik meg a pendrive, így nem tudod odaadni a virtuális gépnek. Ennek az az oka, hogy ezt csak azok a felhasználók tudják megtenni, akik tagjai a vboxusers csoportnak a host operációs rendszeren.

Nincs más teendőd, mint a saját felhasználódat hozzáadod ehhez a csoporthoz, majd a következő bejelentkezés után már használni tudod a virtuális gépeknél az USB eszközöket.

Pl. Pomi felhasználó hozzáadása a vboxusers csoprthoz:

usermod -a -G vboxusers pomi

Pomi felhasználó csoportjainak lekérdezése:

groups pomi

Virtualbox 4.3 és a Fedora 20 x86_64

Próbáltam feltenni Fedora 20-ra a legfrissebb Virtualbox-ot a virtualbox.org-ról, ami sikerült is, csak a létrehozott virtuális gépek nem indultak el. A Virtualbox a következő hibaüzeneteket adta: “Failed to open a session for the virtual machine.” és “Kernel driver not installed (rc=-1908)”:

vbox-1

Ha  a jobb oldali üzenetben megjelenő /etc/init.d/vboxdrv setup parancsot kiadtam, akkor pedig ez történt:

vbox-1

Megoldás:

1, EPEL repo beállítása (ha még nem állítottad be)

wget http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
rpm -ivh epel-release-6-8.noarch.rpm

2, Hiányzó csomagok feltelepítése:

yum install binutils gcc make patch libgomp glibc-headers glibc-devel kernel-headers kernel-devel dkms

3, Végül a korábbi parancs futtatása, ami már lefut hiba nélkül és utána megfelelően működnek a virtuális gépek:

/etc/init.d/vboxdrv setup

vagy

service vboxdrv setup
(Forrás: http://www.if-not-true-then-false.com/2010/install-virtualbox-with-yum-on-fedora-centos-red-hat-rhel/)

Linux Mint Debian Edition telepítési gond

A netbookomra a 64 bites LMDE MATE verzióját szerettem volna feltenni, de nem akart települni. A telepítő a partíciók kiválasztása után megállt ott, hogy

Calculating File indexes… (Fájl indexek kiszámítása)

vártam egy ideig, de nem akart haladni.

Kiderült, hogy az a gond, hogy multiboot pendrive-ról szeretném telepíteni, amit YUMI-val csináltam. Az egyik megoldás a problémára, hogy a boot menüt kezdem el szerkeszteni, a másik, hogy olyan telepítő pendrive-ot csinálok, amin csak az LMDE telepítő van, például a Universal USB Installer programmal, az utóbbit választottam, és gond nélkül települt.

Ha mégis a menüt szeretnéd szerkeszteni, akkor itt találsz hozzá segítséget: http://forums.linuxmint.com/viewtopic.php?f=189&t=61388

Megjelent: Ubuntu 10.04 LTS

Valószínűleg ezzel is azt fogom csinálni, mint az utóbbi 4-5 verzióval:

letölteni->telepíteni->pár napig/hétig használni->a közben felmerülő problémákra megoldást keresni/találni->feladni->törölni->várni a következő verzióra…

Mondjuk a beta-t kipróbáltam, és tetszik az új felület, de majd kiderül, hogy hosszabb távon mennyire fogom megszeretni….

Letöltés innnen

Bővebb infó az újdonságokról itt